com.oracle.truffle.object.debug

## Class JSONShapeVisitor

- java.lang.Object
- - com.oracle.truffle.object.DebugShapeVisitor<JSONHelper.JSONObjectBuilder>
  - - com.oracle.truffle.object.debug.JSONShapeVisitor

All Implemented Interfaces:
  ShapeVisitor<JSONHelper.JSONObjectBuilder>

    public class JSONShapeVisitor
    extends DebugShapeVisitor<JSONHelper.JSONObjectBuilder>

### Constructor Summary

Constructors
Constructor and Description
`JSONShapeVisitor()`

### Method Summary

Methods
`JSONHelper.JSONObjectBuilder` `dumpLocation(Location location)`
`JSONHelper.JSONObjectBuilder` `dumpProperty(Property property)`
`JSONHelper.JSONObjectBuilder` `dumpTransition(Transition transition)`
`JSONHelper.JSONObjectBuilder` `visitShape(Shape shape, java.util.Map<? extends Transition,? extends Shape> transitions)`

### Methods inherited from class com.oracle.truffle.object.DebugShapeVisitor

`getId, visitShape`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JSONShapeVisitor

    public JSONShapeVisitor()

### Method Detail

#### visitShape

    public JSONHelper.JSONObjectBuilder visitShape(Shape shape,
                                          java.util.Map<? extends Transition,? extends Shape> transitions)

Specified by:
  `visitShape` in class `DebugShapeVisitor<JSONHelper.JSONObjectBuilder>`

#### dumpProperty

    public JSONHelper.JSONObjectBuilder dumpProperty(Property property)

#### dumpTransition

    public JSONHelper.JSONObjectBuilder dumpTransition(Transition transition)

#### dumpLocation

    public JSONHelper.JSONObjectBuilder dumpLocation(Location location)